# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.appsforyourdomain.adminsettings
Class DomainVerificationService

    java.lang.Object
      com.google.gdata.client.Service
          com.google.gdata.client.GoogleService
              com.google.gdata.client.appsforyourdomain.AppsForYourDomainService
                  com.google.gdata.client.appsforyourdomain.AppsPropertyService
                      com.google.gdata.client.appsforyourdomain.adminsettings.DomainVerificationService

All Implemented Interfaces:
  AuthTokenFactory.TokenListener

    public class DomainVerificationService

extends AppsPropertyService

Specialization of `AppsPropertyService` for managing domain verification options of a domain.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.client.GoogleService
`GoogleService.AccountDeletedException, GoogleService.AccountDisabledException, GoogleService.CaptchaRequiredException, GoogleService.InvalidCredentialsException, GoogleService.NotVerifiedException, GoogleService.ServiceUnavailableException, GoogleService.SessionExpiredException, GoogleService.TermsNotAgreedException`

Nested classes/interfaces inherited from class com.google.gdata.client.Service
`Service.ClientInputProperties, Service.ClientOutputProperties, Service.ClientStreamProperties, Service.GDataRequest, Service.GDataRequestFactory, Service.Versions`

Field Summary
`protected java.lang.String` `domainUrlBase`
`protected java.lang.String` `verificationBaseUrl`

Fields inherited from class com.google.gdata.client.appsforyourdomain.AppsForYourDomainService
`APPS_SERVICE, DOMAIN_NAME, HTTPS_PROTOCOL`

Fields inherited from class com.google.gdata.client.Service
`connectTimeout, extProfile, metadataRegistry, requestFactory`

Constructor Summary
`DomainVerificationService(java.lang.String domain, java.lang.String applicationName)` Parameterized constructor to setup a Service object which can be used to initialize the service without obtaining a token.
`DomainVerificationService(java.lang.String adminEmail, java.lang.String password, java.lang.String domain, java.lang.String applicationName)` Parameterized constructor for service authentication.

Method Summary
`GenericEntry` `retrieveCnameVerificationStatus()`
`GenericEntry` `retrieveMxVerificationStatus()`
`GenericEntry` `updateVerifiedStatus(GenericEntry entry, boolean status)` Sets the verified status as true for a previously retrieved MX or CNAME verification status entry;

Methods inherited from class com.google.gdata.client.appsforyourdomain.AppsForYourDomainService
`delete, getAllPages, getEntry, getEntry, getFeed, getFeed, insert, query, update`

Methods inherited from class com.google.gdata.client.GoogleService

`addCookie, batch, createRequest, createRequest, delete, getAuthToken, getAuthTokenFactory, getCookieManager, getCookies, getEntry, getFeed, getFeed, getFeed, handleRedirectException, handlesCookies, handleSessionExpiredException, makePostRequest, setAuthSubToken, setAuthSubToken, setAuthTokenFactory, setCookieManager, setHandlesCookies, setOAuthCredentials, setUserCredentials, setUserCredentials, setUserCredentials, setUserCredentials, setUserToken, tokenChanged`

Methods inherited from class com.google.gdata.client.Service

`classOf, createBatchRequest, createDeleteRequest, createEntryRequest, createFeedRequest, createFeedRequest, createInsertRequest, createLinkQueryRequest, createPatchRequest, createUpdateRequest, delete, delete, endVersionScope, getAltRegistry, getContentType, getDefaultAltRegistry, getExtensionProfile, getFeed, getMetadataRegistry, getProtocolVersion, getRequestFactory, getSchema, getServiceVersion, getStreamFromLink, getStrictValidation, getVersion, initServiceVersion, introspect, parseResponseData, parseResponseData, patch, patch, query, query, setAcceptLanguage, setAltRegistry, setConnectTimeout, setContentType, setExtensionProfile, setHeader, setOAuthProxyHeaders, setPrivateHeader, setProtocolVersion, setReadTimeout, setRequestFactory, setStrictValidation, setTimeouts, startVersionScope, update, useSsl, writeRequestData, writeRequestData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### domainUrlBase

    protected java.lang.String domainUrlBase

### verificationBaseUrl

    protected java.lang.String verificationBaseUrl

Constructor Detail

### DomainVerificationService

    public DomainVerificationService(java.lang.String domain,
                                     java.lang.String applicationName)

  Parameterized constructor to setup a Service object which can be used to initialize the service without obtaining a token. The user should explicitly authorize the service by calling either `setUserCredentials` or `setUserToken` when using this constructor.

  Parameters:
    `domain` - Domain being configured
    `applicationName` - Application name consuming the API

### DomainVerificationService

    public DomainVerificationService(java.lang.String adminEmail,
                                     java.lang.String password,
                                     java.lang.String domain,
                                     java.lang.String applicationName)
                              throws AuthenticationException

  Parameterized constructor for service authentication.

  Parameters:
    `adminEmail` - the email id of the administrator.
    `password` - the administrator password.
    `domain` - the domain name to be configured.
    `applicationName` - the calling client application name.for e.g. mycompany-java
  Throws:
    `AuthenticationException` - if an authentication related error occurs.

Method Detail

### retrieveCnameVerificationStatus

    public GenericEntry retrieveCnameVerificationStatus()
                                                 throws AppsForYourDomainException,
                                                        java.io.IOException,
                                                        ServiceException

  Returns:
    GenericEntry a GenericEntry instance with CNAME verification status.
  Throws:
    `AppsForYourDomainException` - if an Apps for your domain API error occurred.
    `java.io.IOException` - if an error occurs while communicating with the GData service.
    `ServiceException` - if the fetch request failed due to system error.

### retrieveMxVerificationStatus

    public GenericEntry retrieveMxVerificationStatus()
                                              throws AppsForYourDomainException,
                                                     java.io.IOException,
                                                     ServiceException

  Returns:
    GenericEntry a GenericEntry instance with CNAME verification status.
  Throws:
    `AppsForYourDomainException` - if an Apps for your domain API error occurred.
    `java.io.IOException` - if an error occurs while communicating with the GData service.
    `ServiceException` - if the fetch request failed due to system error.

### updateVerifiedStatus

    public GenericEntry updateVerifiedStatus(GenericEntry entry,
                                             boolean status)
                                      throws AppsForYourDomainException,
                                             java.io.IOException,
                                             ServiceException

  Sets the verified status as true for a previously retrieved MX or CNAME verification status entry;

  Parameters:
    `entry` - a previously retrieved GenericEntry instance to be updated with status as verified.
  Returns:
    GenericEntry instance with updated settings.
  Throws:
    `AppsForYourDomainException` - if an Apps for your domain API error occurred.
    `java.io.IOException` - if an error occurs while communicating with the GData service.
    `ServiceException` - if the fetch request failed due to system error.